{% extends 'base.html'%}
{% block content %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
<style>
    #result {
       position: absolute;
       width: 100%;
       max-width:250px;
       cursor: pointer;
       overflow-y: auto;
       max-height: 400px;
       box-sizing: border-box;
       z-index: 1001;
    }
    .link-class:hover{
     background-color:#f1f1f1;
    }
</style>
<div class="container">

    <div class="bg-light rounded-pill px-4 py-3 text-uppercase font-weight-bold">Order summary </div>
          <div class="p-4">
            <ul class="list-unstyled mb-4">

                <table class="table">
                  <thead>
                    <tr>
                      <th scope="col">#</th>
                      <th scope="col">Item Name</th>
                      <th scope="col">Amount</th>
                      <th scope="col">Price</th>
                      <th scope="col">Total</th>
                    </tr>
                  </thead>
                  
                  <tbody class="items">
                    {% for item in items %}
                    <tr>
                      <th scope="row" class="itemsIndex"></th>
                      <td>{{ item.product.name }}</td>
                      <td>{{ item.ammount }}</td>
                      <td>{{ item.product.price }}</td>
                      <td class="itemsTotalPrice"></td>
                    </tr>
                    {% endfor %}
                  </tbody>
                </table>
                  


              <li class="d-flex justify-content-between py-3 border-bottom"><strong class="text-muted">Total</strong>
                <h5 class="font-weight-bold totalprice">{{ totalprice }}</h5>
              </li>
              <br>
              <div class="row">
                <div class="col-8">
                    <div align="center">
                        <input type="text" id="submitaddress" placeholder="Add your shipping address" class="form-control" />
                    </div>      
                </div>
                <div class="col-4">
                    <input class="btn btn-dark" type="submit" name="submit" id="submitaddressbtn" value="Submit Address">
                </div>
            </div>
            <br>
                <div class="row">
                    <div class="col-8">
                        <div align="center">
                            <input type="text" name="search" id="searchcoupon" placeholder="Search Coupons" class="form-control">
                        </div>      
                        <ul class="list-group" id="result"></ul>
                    </div>
                    <div class="col-4">
                        <input class="btn btn-dark applycoupon" type="submit" name="submit" id="applycoupon" value="Apply">
                    </div>
                    <br>
                </div>

                </ul>
                <form id="pay" action="POST">
                  {% csrf_token %}
                  <input type="hidden" name="ref_code" value={{ref_code}}>
                  <input type="hidden" name="totalprice" value={{totalprice}}>
                  <button class="btn-pay btn btn-dark rounded-pill py-2 btn-block">PAY</button>
                </form>
            </div>

    </div>

    <script>
        $(document).ready(function(){
         $.ajaxSetup({ cache: false });
         $('#searchcoupon').keyup(function(){
          $('#result').html('');
          $('#state').val('');
          var searchField = $('#searchcoupon').val();
          var expression = new RegExp(searchField, "i");
          $.getJSON('/static/data.json', function(data) {
           $.each(data, function(key, value){
            if (value.name.search(expression) != -1 || value.couponcode.search(expression) != -1)
            {
             $('#result').append('<li class="list-group-item">'+value.name+' | <span class="text-muted">'+value.couponcode+'</span></li>');
            }
           });   
          });
         });
         
         $('#result').on('click', 'li', function() {
          var click_text = $(this).text().split('|');
          $('#searchcoupon').val($.trim(click_text[1]));
          $("#result").html('');
         });
        });
        </script>
      {% include 'coupon.html' %}
      {% include 'pay.html' %}
</div>


{%endblock%}